<?php

namespace App\Console\Commands;

use App\Models\AgeCategory;
use App\Models\Championship;
use App\Models\ChampionshipSubscriber;
use Illuminate\Console\Command;

class FinishedChampionship extends Command
{
    protected $signature = 'finished_championships:finish';

    protected $description = 'finish Finished championships...';

    public function handle(): void
    {
        $finished_championships =   Championship::whereNotNull('expired_at')->where('expired_at','<' ,now())->where('finish',0)->get();
            foreach($finished_championships as $championship){
                $championship->finish = 1;
                $championship->save();

                foreach (AgeCategory::get() as $ageCategory) {
                    foreach (ChampionshipSubscriber::where('championship_id', $championship->id)->where('age_category_id', $ageCategory->id)->where('active', 1)->orderByDesc('supposed_solved')->limit(3)->get() as $order => $subscriber) {
                        $subscriber->order = $order + 1;
                        $subscriber->finish = 1;
                        $subscriber->certificate_ar = CertificateAr($subscriber->user->name, $championship->title, $championship->start_at);
                        $subscriber->certificate_en = CertificateEng($subscriber->user->name, $championship->title, $championship->start_at);
                        $subscriber->save();
                    }
                }

            }
    }
}
