<?php

namespace App\Console;

use App\Models\AgeCategory;
use App\Models\Championship;
use App\Models\ChampionshipSubscriber;
use App\Models\Competition;
use App\Models\Training;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * Define the application's command schedule.
     */
    protected function schedule(Schedule $schedule): void
    {
        // $schedule->command('inspire')->hourly();

        $schedule->call(function () {
            $current_championship = Championship::whereDate('start_at', Carbon::today())->where('active',1)->first();
            foreach($current_championship->subscribers as $subscriber){
                $user = User::find($subscriber->user_id);//
                $user->notify(new \App\Notifications\Competition($current_championship));

                if($user->token){
                   sendFirebaseNotification($user->token,trans('messages.competition_invitation'),new \App\Notifications\Competition($current_championship));
                }
            }
        })->daily();

        $schedule->command('finished_championships:finish')->everyMinute();
        $schedule->command('finished_competitions:finish')->everyMinute();
        $schedule->command('finished_trainings:finish')->everyMinute();


    }

    /**
     * Register the commands for the application.
     */
    protected function commands(): void
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
