<?php

namespace App\Events;

use App\Http\Resources\CompetitionMessageResource;
use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PresenceChannel;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class CompetitionMessage  implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public CompetitionMessageResource $data;
    public function __construct(CompetitionMessageResource $data)
    {
        $this->data = $data;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return array<int, \Illuminate\Broadcasting\Channel>
     */
    public function broadcastOn(): array
    {
        return ['competition-chat-channel'];
//        return [
//            new PrivateChannel('competition-chat-channel'),
//        ];
    }

    public function broadcastAs(): string
    {
        return 'competition-chat-event';
    }

    public function broadcastWith(): array
    {
        return ['data' => $this->data];
    }
}
