<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\AppBaseController;
use App\Http\Resources\StudentResource;
use Illuminate\Http\Request;
use App\Models\Favourite;
use App\Models\User;
use Illuminate\Http\JsonResponse;

class FavouritesController extends AppBaseController
{
    public function index(Request $request): JsonResponse
    {
        $users = $request->user()->friends();

        if ($request->get('search')){
            $users->where('name', 'like', '%' . request('search') . '%')->orWhere('phone', 'like', '%' . request('search') . '%');
        }

        return $this->sendResponse(data: StudentResource::collection($users->get()));
    }


    public function multiple_special_students(Request $request): JsonResponse
    {
        if (request('trainer_id')) {
            $user_id = request('trainer_id');
        }
        Favourite::where('user_id', $user_id )->delete();
        foreach ($request->get('students') as $friend_id) {
                $is_favourite = Favourite::where('friend_id', $friend_id)->where('user_id', $user_id )->first();

                if ($is_favourite == null) {
                    if($friend_id != $user_id){
                          $this->add($user_id , $friend_id);
                        // Favourite::create(['user_id' => $user_id , 'friend_id' => $friend_id,'active'=>1]);
                    }
                }

           }

           return $this->sendSuccess(message: 'Special students Toggled Successfully');
    }

    public function favourite($friend_id): JsonResponse
    {
        if (request('trainer_id')) {
            $user_id = request('trainer_id');
        }

        else{
            $user_id = auth('sanctum')->id();
        }

            $is_favourite = Favourite::where('friend_id', $friend_id)->where('user_id', $user_id )->first();

            if ($is_favourite == null) {
               return $this->add($user_id , $friend_id);
            }
       return $this->delete($user_id , $friend_id);
    }


    public function add($user_id , $friend_id): JsonResponse
    {
        if($friend_id != $user_id){
           $favourite = Favourite::create(['user_id' => $user_id , 'friend_id' => $friend_id]);


           if (User::find($user_id)?->role =='trainer' && User::find($user_id)?->special_trainer ==1 ){
               $user = User::find($friend_id);
               $user->special_trainer = 1;
               $user->save();
            }


            if($favourite->friend_id){
                $user = User::find($favourite->friend_id);
                $user->notify(new \App\Notifications\FriendRequest($favourite));

                if($user->token){
                    sendFirebaseNotification($user->token,__('messages.friend_request'),$favourite->user?->name);
                }

            }


            return $this->sendSuccess(message: __('messages.friend_request'));
        }
        return $this->sendError('You can not add yourself');

    }

    public function delete($user_id , $friend_id): JsonResponse
    {
        Favourite::where('friend_id', $friend_id)->where('user_id', $user_id )->delete();
        Favourite::where('friend_id', $user_id)->where('user_id', $friend_id )->delete();


        if (User::find($user_id)?->role =='trainer' && User::find($user_id)?->special_trainer ==1 ){
            $user = User::find($friend_id);
            $user->special_trainer = 0;
            $user->save();
         }

        return $this->sendSuccess(message: 'Friend Removed Successfully');
    }

    public function accept_friend_request(): \Illuminate\Http\JsonResponse
    {
        $favourite = Favourite::where('id',request('friend_request_id'))->where('friend_id', auth('sanctum')->id())->first();
        $favourite->active = 1;
        $favourite->save();

        $friend = new Favourite();
        $friend->user_id = $favourite->friend_id;
        $friend->friend_id = $favourite->user_id;
        $friend->active = 1;
        $friend->save();

        if($favourite->user_id){
            $user = User::find($favourite->user_id);
            $user->notify(new \App\Notifications\FriendRequestAccept($favourite));

            if($user->token){
                sendFirebaseNotification($user->token,__('messages.accept_friend_request'),$favourite->friend?->name);
            }

        }

        return $this->sendSuccess(message: __('messages.accept_friend_request'));
    }

    //
}
