<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\AppBaseController;
use App\Http\Controllers\Controller;
use App\Http\Resources\ChampionshipResource;
use App\Http\Resources\CompetitionResource;
use App\Http\Resources\SliderResource;
use App\Http\Resources\TrainingResource;
use App\Http\Resources\TrainingTypeResource;
use App\Models\Championship;
use App\Models\Competition;
use App\Models\Slider;
use App\Models\Training;
use App\Models\TrainingType;
use Illuminate\Http\Request;

class HomeController extends AppBaseController
{
    public function index(Request $request): \Illuminate\Http\JsonResponse
    {

        $data = [];
        $data['sliders'] = SliderResource::collection(Slider::where('type',$request->get('type'))->get());
        if ($request->get('type')=='student'){
            $data['trainingTypes'] =   TrainingTypeResource::collection(TrainingType::all()->take(2));
            if (auth('sanctum')->check()) {
                $data['complete_your_training'] = Training::where('user_id', auth('sanctum')->id())->where('finish', 0)->active()->first()<> null? new TrainingResource(Training::where('user_id', auth('sanctum')->id())->where('finish', 0)->orderBy('created_at', 'desc')->active()->first()):null;
                $data['complete_your_competition'] = Competition::where('user_id', auth('sanctum')->id())->where('competition_datetime','<=',now())->where('finish', 0)->whereHas('my_subscriber', fn ($query) => $query->where('finish', 0))->active()->first()<> null? new CompetitionResource(Competition::where('user_id', auth('sanctum')->id())->where('competition_datetime','<=',now())->where('finish', 0)->whereHas('my_subscriber', fn ($query) => $query->where('finish', 0))->active()->first()):null;

            }
        }

        if(auth('sanctum')->check() &&auth('sanctum')->user()->special_trainer == 0){
            $data['championship'] = Championship::where('active', 1)->where('type','general')->where('finish', 0)->orderBy('created_at', 'desc')->first() <> null?new ChampionshipResource(Championship::where('active', 1)->where('type','general')->where('finish', 0)->orderBy('created_at', 'desc')->first()):null;
        }
        else{
            $data['championship'] = Championship::where('active', 1)->where('finish', 0)->orderBy('created_at', 'desc')->first() <> null?new ChampionshipResource(Championship::where('active', 1)->where('finish', 0)->orderBy('created_at', 'desc')->first()):null;
        }

        return $this->sendResponse($data, __('messages.retrieved', ['model' => 'Home'])
        );
    }

    public function myTrainings(Request $request): \Illuminate\Http\JsonResponse
    {
        if (auth('sanctum')->check()) {
            $trainings = Training::where('user_id', auth('sanctum')->id())->orderBy('created_at', 'desc')->active()->get();

            return $this->sendResponse(
                TrainingResource::collection($trainings),
                __('messages.retrieved', ['model' => __('models/trainings.plural')])
            );
        }
    }

}
