<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\AppBaseController;
use App\Http\Resources\NotificationResource;
use Carbon\Carbon;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;


class NotificationApiController extends AppBaseController
{
    public function index(Request $request): JsonResponse
    {
        return $this->sendResponse(NotificationResource::collection(  $request->user()->notifications),
            __('messages.retrieved', ['model' => __('models/notifications.plural')])
        );
    }

    public function destroy($id): JsonResponse
    {
       DB::table('notifications')->delete($id);

        return $this->sendResponse(
            $id,
            __('messages.deleted', ['model' => __('models/notifications.singular')])
        );
    }

    public function show($id): JsonResponse
    {
        $notification = auth('sanctum')->user()->notifications->where('id' , $id)->first();
        $notification->read_at = Carbon::now();
        $notification->save();

        return $this->sendResponse(new NotificationResource($notification),
            __('messages.retrieved', ['model' => __('models/notifications.plural')])
        );
    }

    public function is_action_done($id)
    {
        $notification = auth('sanctum')->user()->notifications->where('id' , $id)->first();
        $notification->is_action_done = 1;
        $notification->save();
        
          return $this->sendResponse(new NotificationResource($notification),
            __('messages.retrieved', ['model' => __('models/notifications.plural')])
        );
    }



//    public function read($id)
//    {
//        $notification = auth('sanctum')->user()->notifications->where('id' , $id)->first();
//        $notification->read_at = Carbon::now();
//        $notification->save();
//
//        return $this->sendResponse($notification,
//            __('messages.retrieved', ['model' => __('models/notifications.plural')])
//        );
//    }
//
//    public function unread($id)
//    {
//        $notification = auth('sanctum')->user()->notifications->where('id' , $id)->first();
//        $notification->read_at = null;
//        $notification->save();
//
//        return $this->sendResponse($notification,
//            __('messages.retrieved', ['model' => __('models/notifications.plural')])
//        );
//    }
//
//
    public function show_all()
    {
        auth('sanctum')->user()->unreadNotifications()->update(['read_at'=>Carbon::now()]);
        return $this->sendResponse(auth('sanctum')->user()->notifications,
            __('messages.retrieved', ['model' => __('models/notifications.plural')])
        );
    }

}
