<?php

namespace App\Http\Controllers\API;

use App\Http\Resources\StudentResource;
use App\Http\Resources\TrainerDetailsResource;
use App\Http\Resources\TrainerResource;
use App\Models\User;
use App\Repositories\UserRepository;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use App\Http\Controllers\AppBaseController;
use Response;

/**
 * Class UserController
 * @package App\Http\Controllers\API
 */

class TrainerAPIController extends AppBaseController
{
    /** @var  UserRepository */
    private $userRepository;

    public function __construct(UserRepository $userRepo)
    {
        $this->userRepository = $userRepo;
    }

    /**
     * Display a listing of the User.
     * GET|HEAD /users
     *
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function index(Request $request)
    {
        $users = User::where('role','trainer')->where('id','<>', auth('sanctum')->id());

        if ($request->user()?->role =='student'||$request->user()?->role =='trainer'){
            $users->where('special_trainer',1);
        }


        
    //     if ($request->get('country_id')) {
    //       $users->where('country_id', $request->get('country_id'))
    //       ->orWhereHas('trainer_regions', function ($query) use ($request) {
    //           $query->where('country_id', $request->get('country_id'));
    //       });
    //     }
        
        
    //     if ($request->get('city_id')) {
    //       $users->where('city_id', $request->get('city_id'))
    //       ->orWhereHas('trainer_regions', function ($query) use ($request) {
    //           $query->where('city_id', $request->get('city_id'));
    //       });
    //     }
        
    //   if ($request->get('region_id')) {
    //       $users->where('region_id', $request->get('region_id'))
    //       ->orWhereHas('trainer_regions', function ($query) use ($request) {
    //           $query->where('region_id', $request->get('region_id'));
    //       });
    //     }
    
         if ($request->get('country_id')) {
          $users->whereHas('trainer_regions', function ($query) use ($request) {
              $query->where('country_id', $request->get('country_id'));
          });
        }
        
        
        if ($request->get('city_id')) {
          $users->whereHas('trainer_regions', function ($query) use ($request) {
              $query->where('city_id', $request->get('city_id'));
          });
        }
        
       if ($request->get('region_id')) {
          $users->whereHas('trainer_regions', function ($query) use ($request) {
              $query->where('region_id', $request->get('region_id'));
          });
        }
        

        if ($request->get('special_trainer')){
            $users->where('special_trainer',$request->get('special_trainer'));
        }

        if ($request->get('online')){
            $users->where('online',$request->get('online'));
        }

        if ($request->get('subscription_trainers')){
            $users->where('role', 'trainer')->whereHas('subscription', fn($query) => $query->where('active', 1));
        }

        if ($request->get('search')){
            $users->where('name', 'like', '%' . request('search') . '%')->orWhere('phone', 'like', '%' . request('search') . '%');
        }

        if (request('rows')){
            $users = $users->paginate(request('rows'));
        }
        else{
            $users = $users->get();
        }

        if ($request->user()->role =="admin"||$request->user()->role =="sub_admin") {
            return $this->sendResponse(
                \App\Http\Resources\admin\TrainerResource::collection($users),
                __('messages.retrieved', ['model' => __('models/users.plural')])
            );
        }

        return $this->sendResponse(
            TrainerResource::collection($users),
            __('messages.retrieved', ['model' => __('models/users.plural')])
        );
    }

    /**
     * Display the specified User.
     * GET|HEAD /users/{id}
     *
     * @param int $id
     *
     * @return \Illuminate\Http\JsonResponse
     */
    public function show($id)
    {
        /** @var User $user */
        $user = $this->userRepository->find($id);

        if (empty($user)) {
            return $this->sendError(
                __('messages.not_found', ['model' => __('models/users.singular')])
            );
        }

        if (auth('sanctum')->user()->role =="admin") {
            return $this->sendResponse(
                new \App\Http\Resources\admin\TrainerDetailsResource($user),
                __('messages.retrieved', ['model' => __('models/users.plural')])
            );
        }

        return $this->sendResponse(
            new TrainerDetailsResource($user),
            __('messages.retrieved', ['model' => __('models/users.singular')])
        );
    }

    public function specialToggle($id): \Illuminate\Http\JsonResponse
    {
        $user = $this->userRepository->find($id);
        $user->special_trainer = !$user->special_trainer;
        $user->save();

        return $this->sendResponse(
            new TrainerResource($user),
            __('messages.updated', ['model' => __('models/users.singular')])
        );
    }

    public function friends($id): JsonResponse
    {
        $users = User::find($id)->friends();

        if (\request('search')){
            $users->where('name', 'like', '%' . request('search') . '%');
        }

        return $this->sendResponse(data: StudentResource::collection($users->get()));
    }



}
