<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class AcceptLanguageMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        $acceptLanguage = $request->header('Accept-Language');

         // Extract the preferred language from the Accept-Language header
         $preferredLanguage = substr($acceptLanguage, 0, 2);

          // Set the application locale based on the preferred language
        app()->setLocale($preferredLanguage);

        return $next($request);
    }
}





