<?php

namespace App\Http\Middleware;

use Carbon\Carbon;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Http\JsonResponse;

class SubscriptionExpiryMiddleware
{
       /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Closure|JsonResponse|Response
    {
        if (!auth('sanctum')->check()) return $next($request);
        $user = auth('sanctum')->user();

        if ($user->subscription == null) {
            return response()->json([
                "message" =>  trans('messages.Subscription_not_found'),
                "status" => 404,

            ], status: 404);
        }

        $now = Carbon::now();
        $subscriptionEndDate = $user->subscription?->end_date ? Carbon::parse($user->subscription?->end_date) : false;
        if ($now->gt($subscriptionEndDate)) {
            return response()->json([
                "message" =>  trans('messages.Subscription_expired'),
                "status" => 404,

            ], status: 404);
        }

        return $next($request);
    }
}
