<?php

namespace App\Http\Requests\API;

use Illuminate\Contracts\Validation\Rule;
use Illuminate\Foundation\Http\FormRequest;

class RegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, Rule|array|string>
     */
    public function rules(): array
    {
        return [
            'name' => 'required|string|max:255',
            'email' => 'nullable|unique:users,email,NULL,id,deleted_at,NULL|email|max:255',
            'password' => 'required|string|min:6|confirmed',
            'agree' =>'required',
            'logo' =>'image',
            'phone' => 'required|string|unique:users,phone,NULL,id,deleted_at,NULL|numeric',
            'gender' => 'required',
            'country_id' => 'required|exists:countries,id',
            'city_id' => 'required|exists:cities,id',
            'region_id' => 'required|exists:regions,id',
            'birth_date' => 'required|before:4 years ago',
        ];
    }
}
