<?php

namespace App\Http\Requests\API;

use Illuminate\Contracts\Validation\Rule;
use Illuminate\Foundation\Http\FormRequest;

class TrainerRegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, Rule|array|string>
     */
    public function rules(): array
    {
        return [
            'name' => 'required|string|max:255',
            'business_phone' => 'required|string|unique:users,business_phone,NULL,id,deleted_at,NULL|numeric',
            'password' => 'required|string|min:6|confirmed',
            'agree' =>'required',
            'logo' =>'required|image',
            'phone' => 'required|string|unique:users,phone,NULL,id,deleted_at,NULL|numeric',
            'gender' => 'required',
            'email' => 'required|email|max:255',
            'country_id' => 'required|exists:countries,id',
            'city_id' => 'required|exists:cities,id',
            'region_id' => 'required|exists:regions,id'
        ];
    }
}
