<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ChampionshipDataResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'slogan' => $this->slogan,
            'type' => trans('enum.'.$this->type),
            'price' => $this->price,
            'training_period' => $this->training_period,
            'active' => $this->active,
            'finish' => $this->finish,
            'start_at' => $this->start_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'answer_type' => $this->answer_type,
            'question_type_id' => $this->question_type_id,
            'language' => $this->language,
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'updated_at' => $this->updated_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')
        ];
    }
}
