<?php

namespace App\Http\Resources;

use App\Models\ChampionshipSubscriber;
use Illuminate\Http\Resources\Json\JsonResource;

class ChampionshipLevelDetailsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $championshipSubscriber = ChampionshipSubscriber::where('championship_id',$this->championship_id)->where('user_id',auth('sanctum')->id())->where('active',1)->first();

        return [
            'id' => $this->id,
            'championship' => new ChampionshipDataResource($this->championship),
            'level_subscribers_count' => ChampionshipSubscriber::where('championship_id',$this->championship_id)->where('type_level_id',$this->type_level_id)->count(),
            'questions' => QuestionResource::collection($this->questions),
            //'questions_count' => $this->questions_count,
            'question_speed' => $this->question_speed,
            'questions_count_2num' => $this->questions_count_2num,
            'questions_count_3num' => $this->questions_count_3num,
            'questions_count_4num' => $this->questions_count_4num,
            'questions_count_5num' => $this->questions_count_5num,
            'questions_count_6num' => $this->questions_count_6num,
            'questions_count_7num' => $this->questions_count_7num,
            'questions_count_8num' => $this->questions_count_8num,
            'questions_count_9num' => $this->questions_count_9num,
            'questions_count_10num' => $this->questions_count_10num,
            //'numbers_count' => $this->numbers_count,
            'my_subscriber' => new ChampionshipSubscriberResource($championshipSubscriber)
        ];
    }
}
