<?php

namespace App\Http\Resources;

use App\Models\TrainingType;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class ChampionshipLevelExamResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'type_level' => new ChampionshipLevelResource($this->type_level),
            'questions' => QuestionResource::collection($this->questions),
            'questions_count' => $this->questions_count,
            'question_speed' => $this->question_speed,
            // 'numbers_count' => $this->numbers_count,
            'questions_count_2num' => $this->questions_count_2num,
            'questions_count_3num' => $this->questions_count_3num,
            'questions_count_4num' => $this->questions_count_4num,
            'questions_count_5num' => $this->questions_count_5num,
            'questions_count_6num' => $this->questions_count_6num,
            'questions_count_7num' => $this->questions_count_7num,
            'questions_count_8num' => $this->questions_count_8num,
            'questions_count_9num' => $this->questions_count_9num,
            'questions_count_10num' => $this->questions_count_10num,
        ];
    }
}
