<?php

namespace App\Http\Resources;

use App\Models\ChampionshipSubscriber;
use Illuminate\Http\Resources\Json\JsonResource;

class ChampionshipResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $isUserSubscribe = ChampionshipSubscriber::where('championship_id',$this->id)->where('user_id',auth('sanctum')->id())->where('active',1)->exists();
        return [
            'id' => $this->id,
            'title' => $this->title,
            'slogan' => $this->slogan,
            'type' => trans('enum.'.$this->type),
            'price' => $this->price,
            'training_period' => $this->training_period,
            'answer_type' => $this->answer_type,
            'question_type_id' => $this->question_type_id,
            'language' => $this->language,
            'levels' => ChampionshipLevelResource::collection($this->levels),
            'levels_count' => count($this->levels),
            'active' => $this->active,
            'finish' => $this->finish,
            'start_at' => $this->start_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'subscribers_count' => $this->subscribers <> null ?count($this->subscribers):0,
            'subscribers' => $this->subscribers <> null ?ChampionshipSubscriberResource::collection($this->subscribers):null,
            'winners_subscribers' => $this->winners_subscribers <> null ?ChampionshipWinnersSubscriberResource::collection($this->winners_subscribers):null,
            'isUserSubscribe' => $isUserSubscribe,
        ];
    }
}
