<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ChampionshipSubscriberResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'championship_id' => $this->championship_id,
            'user_id' => $this->user_id,
            'user' => new StudentResource($this->user),
            'age_category_id' => $this->age_category_id,
            'age_category' => new AgeCategoryResource($this->age_category),
            'type_level_id' => $this->type_level_id,
            'type_level' => new ChampionshipLevelResource($this->type_level),
            'correct_answers_count' => $this->correct_answers_count,
            'wrong_answers_count' => $this->wrong_answers_count,
            'answering_period' => $this->answering_period,
            'student_points' => $this->student_points,
            'supposed_solved' => $this->supposed_solved,
            'active' => $this->active,
            'finish' => $this->finish,
            'remaining_time' => $this->remaining_time,
            'student_points_is_collected' => $this->student_points_is_collected,
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'updated_at' => $this->updated_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')
        ];
    }
}
