<?php

namespace App\Http\Resources;

use App\Models\TrainingType;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class CompetitionLevelResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'icon' => $this->icon <> null ? url(Storage::url($this->icon)):"",
            'active' => $this->active,
            'level_categories' => LevelCategoryResource::collection($this->level_categories)
        ];
    }
}
