<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class CompetitionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'type_level' => new TypeLevelResource($this->type_level),
            'level_category' => $this->level_category ? new LevelCategoryResource($this->level_category): null,
            'question_type' => new QuestionTypeResource($this->question_type),
            'competition_datetime' => $this->competition_datetime <> null ?$this->competition_datetime->timezone('Africa/Cairo')->format('Y-m-d H:i:s'):null,
            'question_speed' => $this->question_speed,
            'training_period' => $this->training_period,
            'questions_count_2num' => $this->questions_count_2num,
            'questions_count_3num' => $this->questions_count_3num,
            'questions_count_4num' => $this->questions_count_4num,
            'questions_count_5num' => $this->questions_count_5num,
            'questions_count_6num' => $this->questions_count_6num,
            'questions_count_7num' => $this->questions_count_7num,
            'questions_count_8num' => $this->questions_count_8num,
            'questions_count_9num' => $this->questions_count_9num,
            'questions_count_10num' => $this->questions_count_10num,
//            'numbers_count' => $this->numbers_count,
//            'questions_count' => $this->questions_count,
            'answer_type' => $this->answer_type,
            'active' => $this->active,
            'finish' => $this->finish,
            'subscribers_count' => $this->subscribers <> null ?count($this->subscribers):0,
            'subscribers' => CompetitionSubscriberResource::collection($this->subscribers),
            'questions' => QuestionResource::collection($this->questions),
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'updated_at' => $this->updated_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')

        ];
    }
}
