<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class CompetitionSubscriberResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'competition_id' => $this->competition_id,
            'user' => new StudentResource($this->user),
            'correct_answers_count' => $this->correct_answers_count,
            'wrong_answers_count' => $this->wrong_answers_count,
            'answering_period' => $this->answering_period,
            'student_points' => $this->student_points,
            'supposed_solved' => $this->supposed_solved,
            'active' => $this->active,
            'finish' => $this->finish,
            'remaining_time' => $this->remaining_time,
            'student_points_is_collected' => $this->student_points_is_collected,
            'answers' => TrainingQuestionResource::collection($this->answers),
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'updated_at' => $this->updated_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')
        ];
    }
}
