<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class CouponResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'code' => $this->code,
            'discount' => $this->discount,
            'start_date' => $this->created_at<>null ? $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'):null,
            'end_date' => $this->end_date,
            'period' => Carbon::parse($this->end_date)->diffInDays(Carbon::parse($this->created_at))+1,
            'max_use' => $this->max_use,
            'use_count' => $this->use_count,
//            'subscriptions_count' => $this->subscriptions()->count(),
            'active' => $this->active,
        ];
    }
}
