<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class LevelCategoryResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'active' => $this->active,
            'icon' => $this->icon <> null ? url(Storage::url($this->icon)):"",
            'type_level' => new TypeLevelResource($this->type_level) ,
            'type_level_id' => $this->type_level_id,
            'questions_count' => count($this->questions) ,
        ];
    }
}
