<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class MyChampionshipResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'age_category' => new AgeCategoryResource($this->age_category),
            'type_level' => new TypeLevelResource($this->type_level),
            'level_category' => new LevelCategoryResource($this->level_category),
            'question_type' => new QuestionTypeResource($this->question_type),
            'active' => $this->active,
            'finish' => $this->finish,
            'start_at' => $this->start_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'subscribers_count' => $this->subscribers <> null ?count($this->subscribers):0,
            'my_subscriber' => new ChampionshipWinnersSubscriberResource($this->my_subscriber),
        ];
    }
}
