<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class QuestionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $numbers = [];
        for( $i = 0; $i < $this->numbers_count; $i++ )    {
            switch( $i )    {
                case 0: $numbers[0] = $this->number1; break;
                case 1: $numbers[1] = $this->number2; break;
                case 2: $numbers[2] = $this->number3; break;
                case 3: $numbers[3] = $this->number4; break;
                case 4: $numbers[4] = $this->number5; break;
                case 5: $numbers[5] = $this->number6; break;
                case 6: $numbers[6] = $this->number7; break;
                case 7: $numbers[7] = $this->number8; break;
                case 8: $numbers[8] = $this->number9; break;
                case 9: $numbers[9] = $this->number10; break;
                default: $numbers[$i] = $this->number1;
            }
            // $numbers[$i] = $this->number.$i+1;
        }
        return [
            'id' => $this->id,
            'training_type' =>new TrainingTypeResource($this->training_type),
            'type_level' => new TypeLevelResource($this->type_level),
            'level_category' => new LevelCategoryResource($this->level_category),
            'numbers_count' => $this->numbers_count,
            'answer' => $this->answer,
            'choices' => $this->choices <> null ?json_decode($this->choices):array($this->choice1,$this->choice2),
            'numbers' => $this->numbers <> null ?json_decode($this->numbers):$numbers,
            'active' => $this->active,
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'updated_at' => $this->updated_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')
        ];
    }
}
