<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class StatCompetitionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'type_level' => new TypeLevelResource($this->type_level),
            'level_category' => new LevelCategoryResource($this->level_category),
            'question_type' => new QuestionTypeResource($this->question_type),
            'competition_datetime' => $this->competition_datetime,
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'subscribers_count' => $this->subscribers <> null ?count($this->subscribers):0,
            'my_subscriber' => new CompetitionSubscriberResource($this->my_subscriber),
        ];
    }
}
