<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class StatTrainingResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'type_level' => new TypeLevelResource($this->type_level),
            'level_category' => new LevelCategoryResource($this->level_category),
            'question_type' => new QuestionTypeResource($this->question_type),
            'answers_count' => $this->correct_answers_count + $this->wrong_answers_count,
            'correct_answers_count' => $this->correct_answers_count,
            'wrong_answers_count' => $this->wrong_answers_count,
            'answering_period' => $this->answering_period,
            'student_points' => $this->student_points,
            'remaining_time' => $this->remaining_time,
            'student_points_is_collected' => $this->student_points_is_collected,
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')
        ];
    }
}
