<?php

namespace App\Http\Resources;

use App\Models\Favourite;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class StudentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $is_friend= Favourite::where('friend_id', $this->id)->where('user_id', auth()->id())->first();
        return [
            'id' => $this->id,
            'name' => $this->name,
            'country_code' => $this->country_code,
            'phone' => $this->phone,
            'gender' => trans('enum.'.$this->gender),
            'country_id' => $this->country_id,
            'city_id' => $this->city_id,
            'region_id' => $this->region_id,
            'birth_date' => $this->birth_date,
            'active' => $this->active,
            'logo' => $this->logo <> null ? url(Storage::url($this->logo)):"",
            'student_points'  => $this->student_points,
            'student_level'  => $this->student_level,
            'is_friend' => (bool)$is_friend,
            'online'  => (bool)$this->online,
            'levels'  =>  TypeLevelResource::collection($this->levels),
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'updated_at' => $this->updated_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'subscription' => $this->subscription? new SubscriptionResource($this->subscription):null
        ];
    }
}
