<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class TrainerMessageResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'student' => new UserNameResource($this->student),
            'trainer' => new UserNameResource($this->trainer),
            'message' => $this->message,
            'file' => $this->file <> null ? url(Storage::url($this->file)):"",
            'sender_type' => $this->sender_type,
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')
        ];
    }
}
