<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class TrainingQuestionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'question' => new QuestionResource($this->question),
            'is_correct' => $this->is_correct,
            'wrong_answer' => $this->wrong_answer,
            'created_at' => $this->created_at <> null ? $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'):null
        ];
    }
}
