<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class TrainingResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'training_type' =>new TrainingTypeResource($this->training_type),
            'type_level' => new TypeLevelResource($this->type_level),
            'level_category' => $this->level_category ? new LevelCategoryResource($this->level_category):null,
            'question_type' => new QuestionTypeResource($this->question_type),
            'question_speed' => $this->question_speed,
            'training_period' => $this->training_period,
            'questions_count_2num' => $this->questions_count_2num,
            'questions_count_3num' => $this->questions_count_3num,
            'questions_count_4num' => $this->questions_count_4num,
            'questions_count_5num' => $this->questions_count_5num,
            'questions_count_6num' => $this->questions_count_6num,
            'questions_count_7num' => $this->questions_count_7num,
            'questions_count_8num' => $this->questions_count_8num,
            'questions_count_9num' => $this->questions_count_9num,
            'questions_count_10num' => $this->questions_count_10num,
//            'numbers_count' => $this->numbers_count,
//            'questions_count' => $this->questions_count,
            'answer_type' => $this->answer_type,
            'correct_answers_count' => $this->correct_answers_count,
            'wrong_answers_count' => $this->wrong_answers_count,
            'answering_period' => $this->answering_period,
            'student_points' => $this->student_points,
            'supposed_solved' => $this->supposed_solved,
            'active' => $this->active,
            'finish' => $this->finish,
            'training_datetime' => $this->training_datetime <> null ? $this->training_datetime->timezone('Africa/Cairo')->format('Y-m-d H:i:s'):null,
            'remaining_time' => $this->remaining_time,
            'student_points_is_collected' => $this->student_points_is_collected,
            'user' => new StudentResource($this->user),
            'subscribers_count' => $this->subscribers <> null ?count($this->subscribers):0,
            'questions' => QuestionResource::collection($this->questions),
            'answers' => TrainingQuestionResource::collection($this->training_questions),
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'updated_at' => $this->updated_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')
        ];
    }
}
