<?php

namespace App\Http\Resources\admin;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;
use function url;

class AuthResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            "id" => (int) $this->id,
            "name" =>  $this->name,
            'country_code' => $this->country_code,
            'phone'  => $this->phone,
            'role'  => $this->role,
            'online'  => (bool)$this->online,
            'last_login_at'  => $this->last_login_at,
            'phone_verified_at'  => $this->phone_verified_at,
            'logo' => $this->logo <> null ? url(Storage::url($this->logo)):"",
            'active'  => $this->active,
            'email' => $this->email,
            'permissions'  => $this->permissions,
            "token" => $this->createToken('MyApp')->plainTextToken,
        ];
    }
}
