<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\Translatable\HasTranslations;

/**
 * Class AdminNotification
 * @package App\Models
 * @version May 21, 2024, 6:24 am UTC
 *
 * @property string $title
 * @property string $desc
 * @property string $image
 * @property string $type
 * @property boolean $active
 */
class AdminNotification extends Model
{
    use SoftDeletes;

    use HasTranslations;
    public $translatable = ['title', 'desc'];

    public $table = 'admin_notifications';
    

    protected $dates = ['deleted_at'];



    public $fillable = [
        'title',
        'desc',
        'image',
        'type',
        'active'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'title' => 'string',
        'desc' => 'string',
        'image' => 'string',
        'type' => 'string',
        'active' => 'boolean'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        
    ];

    
}
