<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\Translatable\HasTranslations;
/**
 * Class AgeCategory
 * @package App\Models
 * @version April 16, 2024, 7:59 am UTC
 *
 * @property string $title
 */
class AgeCategory extends Model
{
    use SoftDeletes;
    use HasTranslations;
    public $translatable = ['title'];
    public $table = 'age_categories';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'title'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'title' => 'string'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'title' => 'required'
    ];


}
