<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Illuminate\Database\Eloquent\Relations\HasMany;


/**
 * Class Trainertype_level
 * @package App\Models
 * @version April 14, 2024, 9:56 am UTC
 *
 * @property integer $championship_id
 * @property integer $type_level_id
 */
class ChampionshipLevel extends Model
{

    public $table = 'championship_levels';




    public $fillable = [
        'championship_id',
        'questions_count_2num',
        'questions_count_3num',
        'questions_count_4num',
        'questions_count_5num',
        'questions_count_6num',
        'questions_count_7num',
        'questions_count_8num',
        'questions_count_9num',
        'questions_count_10num',
        'type_level_id',
        'questions_count'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'championship_id' => 'integer',
        'questions_count_2num' => 'integer',
        'questions_count_3num' => 'integer',
        'questions_count_4num' => 'integer',
        'questions_count_5num' => 'integer',
        'questions_count_6num' => 'integer',
        'questions_count_7num' => 'integer',
        'questions_count_8num' => 'integer',
        'questions_count_9num' => 'integer',
        'questions_count_10num' => 'integer',
        'questions_count' => 'integer',
        'type_level_id' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [

    ];

    public function type_level()
    {
        return $this->belongsTo(TypeLevel::class,'type_level_id');
    }

    public function championship()
    {
        return $this->belongsTo(Championship::class,'championship_id');
    }


    public function questions(): BelongsToMany
    {
        return $this->belongsToMany(Question::class, 'championship_level_questions');
    }


}
