<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class ChampionshipMessage
 * @package App\Models
 * @version April 16, 2024, 8:03 am UTC
 *
 * @property integer $championship_id
 * @property integer $user_id
 * @property string $message
 */
class ChampionshipMessage extends Model
{
    use SoftDeletes;

    use HasFactory;

    public $table = 'championship_messages';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'championship_id',
        'user_id',
        'message',
        'file'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'championship_id' => 'integer',
        'user_id' => 'integer',
        'message' => 'string'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'championship_id' => 'required|exists:champions,id',
        'user_id' => 'required|exists:users,id',
       // 'message' => 'required'
    ];


}
