<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class CompetitionMessage
 * @package App\Models
 * @version April 5, 2024, 11:01 pm UTC
 *
 * @property integer $competition_id
 * @property integer $user_id
 * @property string $message
 */
class CompetitionMessage extends Model
{
    use SoftDeletes;

    use HasFactory;

    public $table = 'competition_messages';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'competition_id',
        'user_id',
        'message',
        'file'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'competition_id' => 'integer',
        'user_id' => 'integer',
        'message' => 'string'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'competition_id' => 'required|exists:competitions,id',
        //'message' => 'required'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
