<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class Contact
 * @package App\Models
 * @version October 11, 2021, 8:42 pm UTC
 *
 * @property string $full_name
 * @property string $email
 * @property string $phone
 * @property string $message
 */
class Contact extends Model {

	use HasFactory;

	public $table = 'contacts';

	public $fillable = [
		'full_name',
		'email',
		'phone',
		'message',
        'reply',
        'type',
        'user_id',
	];

	/**
	 * The attributes that should be casted to native types.
	 *
	 * @var array
	 */
	protected $casts = [
		'id' => 'integer',
		'full_name' => 'string',
		'email' => 'string',
		'message' => 'string',
		'phone' => 'string',
	];

	/**
	 * Validation rules
	 *
	 * @var array
	 */
	public static $rules = [
        'email' => 'required|email',
        'phone' => 'required',
        'message' => 'required|string',
	];

    public static $updated_rules = [
        'reply' => 'required|string',
	];

}
