<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Spatie\Translatable\HasTranslations;

/**
 * Class Country
 * @package App\Models
 * @version March 23, 2024, 12:46 pm UTC
 *
 * @property string $name
 */
class Country extends Model
{
    use SoftDeletes;


    use HasTranslations;
    public $translatable = ['name'];

    public $table = 'countries';

    protected $dates = ['deleted_at'];

    public $fillable = [
        'name'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'name' => 'string'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'name' => 'required',
    ];

    public function cities(): HasMany
    {
        return $this->hasMany(City::class);
    }



}
