<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * Class Coupon
 * @package App\Models
 * @version February 13, 2023, 10:31 am +03
 *
 * @property string $code
 * @property integer $discount
 * @property string $end_date
 * @property integer $max_use
 * @property integer $use_count
 * @property boolean $active
 */
class Coupon extends Model
{
    use SoftDeletes;

    public $table = 'coupons';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'code',
        'discount',
        'end_date',
        'max_use',
        'use_count',
        'active',
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'code' => 'string',
        'discount' => 'integer',
        'end_date' => 'string',
        'max_use' => 'integer',
        'use_count' => 'integer',
        'active' => 'boolean',
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'discount' => 'required'
    ];

    public function subscriptions(){
        return $this->hasMany(Subscription::class);
    }

}
