<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Spatie\Translatable\HasTranslations;

/**
 * Class IntroPage
 * @package App\Models
 * @version March 23, 2024, 12:53 pm UTC
 *
 * @property string $title
 * @property string $desc
 * @property string $image
 * @property string $type
 * @property boolean $active
 */
class IntroPage extends Model
{
    use SoftDeletes;


    use HasTranslations;
    public $translatable = ['title', 'desc'];

    public $table = 'intro_pages';

    protected $dates = ['deleted_at'];


    public $fillable = [
        'title',
        'desc',
        'image',
        'type',
        'active'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'title' => 'string',
        'desc' => 'string',
        'image' => 'string',
        'type' => 'string',
        'active' => 'boolean'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'title' => 'required',
        'image' => 'required|image'
    ];


}
