<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Spatie\Translatable\HasTranslations;

/**
 * Class Package
 * @package App\Models
 * @version March 23, 2024, 12:53 pm UTC
 *
 * @property string $title
 * @property number $price
 * @property integer $duration
 * @property string $duration_type
 */
class Package extends Model
{
    use SoftDeletes;


    use HasTranslations;
    public $translatable = ['title'];

    public $table = 'packages';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'title',
        'price',
        'type',
        'duration',
        'duration_type'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'title' => 'string',
        'price' => 'double',
        'duration' => 'integer',
        'duration_type' => 'string'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'title' => 'required',
        'price' => 'required|numeric',
        'duration' => 'required'
    ];

    public function subscriptions(){
        return $this->hasMany(Subscription::class);
    }

}
