<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Spatie\Translatable\HasTranslations;

/**
 * Class Page
 * @package App\Models
 * @version October 11, 2021, 8:43 pm UTC
 *
 * @property string $title
 * @property string $slug
 * @property string $body
 */

class Page extends Model {

	use HasFactory;

    use HasTranslations;
    public $translatable = ['title','body'];

	public $table = 'pages';
	public $fillable = [
		'title',
		'slug',
		'body',
		'type',
	];

	/**
	 * The attributes that should be casted to native types.
	 *
	 * @var array
	 */
	protected $casts = [
		'id' => 'integer',
		'title' => 'string',
		'slug' => 'string',
		'type' => 'string',
	];

	/**
	 * Validation rules
	 *
	 * @var array
	 */
	public static $rules = [
		'title' => 'required',
		//'slug' => 'required|string',
//		'type' => 'required|string',
		'body' => 'required',
	];

}
