<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * Class PointLevel
 * @package App\Models
 * @version May 21, 2024, 5:45 am UTC
 *
 * @property integer $level
 * @property integer $from
 * @property integer $to
 */
class PointLevel extends Model
{
    use SoftDeletes;
    public $table = 'point_levels';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'level',
        'from',
        'to'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'level' => 'integer',
        'from' => 'integer',
        'to' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'level' => 'required|numeric|unique:point_levels,level',
        'from' => 'required|numeric|unique:point_levels,from',
        'to' => 'required|numeric|unique:point_levels,to'
    ];

    public static $update_rules = [
        // 'level' => 'required|numeric|unique:point_levels,level',
        // 'from' => 'required|numeric|unique:point_levels,from',
        // 'to' => 'required|numeric|unique:point_levels,to'
    ];


}
