<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Spatie\Translatable\HasTranslations;

/**
 * Class QuestionType
 * @package App\Models
 * @version March 28, 2024, 10:25 pm UTC
 *
 * @property string $title
 * @property string $icon
 * @property boolean $active
 */
class QuestionType extends Model
{
    use SoftDeletes;

    use HasFactory;

    use HasTranslations;
    public $translatable = ['title'];

    public $table = 'question_types';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'title',
        'icon',
        'active'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'title' => 'string',
        'icon' => 'string',
        'active' => 'boolean'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'title' => 'required'
    ];


}
