<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Spatie\Translatable\HasTranslations;

/**
 * Class Region
 * @package App\Models
 * @version March 23, 2024, 12:48 pm UTC
 *
 * @property string $name
 * @property integer $city_id
 */
class Region extends Model
{
    use SoftDeletes;


    use HasTranslations;

    public $translatable = ['name'];

    public $table = 'regions';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'name',
        'city_id'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'name' => 'string',
        'city_id' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'name' => 'required',
        'city_id' => 'required|exists:cities,id'
    ];

    public function city()
    {
        return $this->belongsTo(City::class,'city_id');
    }


}
