<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class TrainerGallery
 * @package App\Models
 * @version April 14, 2024, 9:59 am UTC
 *
 * @property integer $user_id
 * @property string $file
 * @property boolean $active
 */
class TrainerGallery extends Model
{
    use SoftDeletes;

    use HasFactory;

    public $table = 'trainer_galleries';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'user_id',
        'file',
        'type',
        'active'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'user_id' => 'integer',
        'file' => 'string',
        'active' => 'boolean'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'file' => 'required'
    ];


}
