<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class TrainerMessage
 * @package App\Models
 * @version April 14, 2024, 10:16 am UTC
 *
 * @property integer $student_id
 * @property integer $trainer_id
 * @property string $message
 * @property boolean $active
 */
class TrainerMessage extends Model
{
    use SoftDeletes;

    use HasFactory;

    public $table = 'trainer_messages';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'student_id',
        'trainer_id',
        'message',
        'file',
        'sender_type',
        'active'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'student_id' => 'integer',
        'trainer_id' => 'integer',
        'message' => 'string',
        'active' => 'boolean'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        //'message' => 'required'
    ];

    public function student()
    {
        return $this->belongsTo(User::class,'student_id');
    }

    public function trainer()
    {
        return $this->belongsTo(User::class,'trainer_id');
    }


}
