<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class TrainerReview
 * @package App\Models
 * @version April 14, 2024, 10:04 am UTC
 *
 * @property integer $student_id
 * @property integer $trainer_id
 * @property integer $rate
 * @property string $comment
 * @property boolean $active
 */
class TrainerReview extends Model
{
    use SoftDeletes;

    use HasFactory;

    public $table = 'trainer_reviews';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'student_id',
        'trainer_id',
        'rate',
        'comment',
        'active'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'student_id' => 'integer',
        'trainer_id' => 'integer',
        'rate' => 'integer',
        'comment' => 'string',
        'active' => 'boolean'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'trainer_id' => 'required|exists:users,id',
        'rate' => 'required'
    ];

    public function student()
    {
        return $this->belongsTo(User::class);
    }

}
