<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Spatie\Translatable\HasTranslations;

/**
 * Class TrainingType
 * @package App\Models
 * @version March 23, 2024, 12:50 pm UTC
 *
 * @property string $title
 */
class TrainingType extends Model
{
    use SoftDeletes;


    use HasTranslations;

    public $translatable = ['title'];

    public $table = 'training_types';


    protected $dates = ['deleted_at'];



    public $fillable = [
        'title',
        'icon',
        'active'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'title' => 'string'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'title' => 'required'
    ];

    public function type_levels (){
        return $this->hasMany(TypeLevel::class);
    }


}
