<?php

namespace App\Notifications;


use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class Championship extends Notification
{
    use Queueable;

    /**
     * Create a new notification instance.
     */

    private $championship;
    public function __construct($championship)
    {
        $this->championship = $championship;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @return array<int, string>
     */
    public function via(): array
    {
        return ['database'];
    }

    public function toDatabase()
    {

        return [
            'action'=> 'championship start',
            'model'=> 'championship',
            'title'=>trans('messages.championship_start'),
            'championship_id' =>$this->championship->id,
            'championship_title' =>$this->championship->title,
            'start_at' =>$this->championship->start_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
            'end_at' =>$this->championship->start_at->addMinutes($this->championship->training_period)->timezone('Africa/Cairo')->format('Y-m-d H:i:s'),
        ];
    }

    /**
     * Get the mail representation of the notification.
     */
    public function toMail(object $notifiable): MailMessage
    {
        return (new MailMessage)
                    ->line('The introduction to the notification.')
                    ->action('Notification Action', url('/'))
                    ->line('Thank you for using our application!');
    }

    /**
     * Get the array representation of the notification.
     *
     * @return array<string, mixed>
     */
    public function toArray(object $notifiable): array
    {
        return [
            //
        ];
    }
}
