<?php

namespace App\Notifications;


use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class Competition extends Notification
{
    use Queueable;

    /**
     * Create a new notification instance.
     */

    private $competition;
    public function __construct($competition)
    {
        $this->competition = $competition;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @return array<int, string>
     */
    public function via(): array
    {
        return ['database'];
    }

    public function toDatabase()
    {

        return [
            'action'=> 'subscribe',
            'model'=> 'competition',
            'title'=>trans('messages.competition_invitation'),
            'competition_user_name'=>$this->competition->user->name,
            'competition_id' =>$this->competition->id,
            'start_at' =>$this->competition->competition_datetime <> null ? $this->competition->competition_datetime->timezone('Africa/Cairo')->format('Y-m-d H:i:s'):null,
        ];
    }

    /**
     * Get the mail representation of the notification.
     */
    public function toMail(object $notifiable): MailMessage
    {
        return (new MailMessage)
                    ->line('The introduction to the notification.')
                    ->action('Notification Action', url('/'))
                    ->line('Thank you for using our application!');
    }

    /**
     * Get the array representation of the notification.
     *
     * @return array<string, mixed>
     */
    public function toArray(object $notifiable): array
    {
        return [
            //
        ];
    }
}
