<?php

namespace App\Notifications;


use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class FriendRequest extends Notification
{
    use Queueable;

    /**
     * Create a new notification instance.
     */

    private $favourite;
    public function __construct($favourite)
    {
        $this->favourite = $favourite;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @return array<int, string>
     */
    public function via(): array
    {
        return ['database'];
    }

    public function toDatabase()
    {

        return [
            'action'=> 'friend_request',
            'model'=> 'friend_request',
            'title'=>trans('messages.friend_request'),
            'friend_user_name'=>$this->favourite->user->name,
            'friend_request_id' =>$this->favourite->id,
        ];
    }

    /**
     * Get the mail representation of the notification.
     */
    public function toMail(object $notifiable): MailMessage
    {
        return (new MailMessage)
                    ->line('The introduction to the notification.')
                    ->action('Notification Action', url('/'))
                    ->line('Thank you for using our application!');
    }

    /**
     * Get the array representation of the notification.
     *
     * @return array<string, mixed>
     */
    public function toArray(object $notifiable): array
    {
        return [
            //
        ];
    }
}
