<?php

namespace App\Notifications;


use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class Training extends Notification
{
    use Queueable;

    /**
     * Create a new notification instance.
     */

    private $training;
    public function __construct($training)
    {
        $this->training = $training;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @return array<int, string>
     */
    public function via(): array
    {
        return ['database'];
    }

    public function toDatabase()
    {

        return [
            'action'=> 'subscribe',
            'model'=> 'training',
            'title'=>trans('messages.training_invitation'),
            'trainer_name'=>$this->training->trainer->name,
            'training_id' =>$this->training->id,
              'start_at' =>$this->training->training_datetime <> null ? $this->training->training_datetime->timezone('Africa/Cairo')->format('Y-m-d H:i:s'):null,
        ];
    }

    /**
     * Get the mail representation of the notification.
     */
    public function toMail(object $notifiable): MailMessage
    {
        return (new MailMessage)
                    ->line('The introduction to the notification.')
                    ->action('Notification Action', url('/'))
                    ->line('Thank you for using our application!');
    }

    /**
     * Get the array representation of the notification.
     *
     * @return array<string, mixed>
     */
    public function toArray(object $notifiable): array
    {
        return [
            //
        ];
    }
}
