<?php

namespace App\Providers;

use Domains\Support\Providers\SupportServiceProvider;
use Domains\Terms\Providers\TermsServiceProvider;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        require_once(__DIR__.'/../Http/helpers.php');

        $this->app->register(provider: SupportServiceProvider::class);
        $this->app->register(provider: TermsServiceProvider::class);
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        //
    }
}
