<?php

namespace App\Repositories;

use App\Models\AdminNotification;
use App\Repositories\BaseRepository;

/**
 * Class AdminNotificationRepository
 * @package App\Repositories
 * @version May 21, 2024, 6:24 am UTC
*/

class AdminNotificationRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'title',
        'desc',
        'image',
        'type',
        'active'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return AdminNotification::class;
    }
}
