<?php

namespace App\Repositories;

use App\Models\Championship;
use App\Repositories\BaseRepository;

/**
 * Class ChampionshipRepository
 * @package App\Repositories
 * @version April 16, 2024, 8:02 am UTC
*/

class ChampionshipRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'title',
        'age_category_id',
        'type_level_id',
        'level_category_id',
        'question_type_id',
        'competition_datetime',
        'question_speed',
        'training_period',
        'numbers_count',
        'questions_count',
        'answer_type',
        'active',
        'finish',
        'start_at'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return Championship::class;
    }
}
