<?php

namespace App\Repositories;

use App\Models\ChampionshipSubscriber;
use App\Repositories\BaseRepository;

/**
 * Class ChampionshipSubscriberRepository
 * @package App\Repositories
 * @version April 16, 2024, 8:03 am UTC
*/

class ChampionshipSubscriberRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'championship_id',
        'user_id',
        'correct_answers_count',
        'wrong_answers_count',
        'answering_period',
        'student_points',
        'active',
        'finish',
        'student_points_is_collected'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return ChampionshipSubscriber::class;
    }
}
