<?php

namespace App\Repositories;

use App\Models\CompetitionMessage;
use App\Repositories\BaseRepository;

/**
 * Class CompetitionMessageRepository
 * @package App\Repositories
 * @version April 5, 2024, 11:01 pm UTC
*/

class CompetitionMessageRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'competition_id',
        'user_id',
        'message'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return CompetitionMessage::class;
    }
}
