<?php

namespace App\Repositories;

use App\Models\Competition;
use App\Repositories\BaseRepository;

/**
 * Class CompetitionRepository
 * @package App\Repositories
 * @version April 4, 2024, 12:28 am UTC
*/

class CompetitionRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'type_level_id',
        'level_category_id',
        'question_type_id',
        'competition_datetime',
        'question_speed',
        'training_period',
        'numbers_count',
        'questions_count',
        'answer_type',
        'active',
        'finish'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return Competition::class;
    }
}
