<?php

namespace App\Repositories;

use App\Models\CompetitionSubscriber;
use App\Repositories\BaseRepository;

/**
 * Class CompetitionSubscriberRepository
 * @package App\Repositories
 * @version April 5, 2024, 11:01 pm UTC
*/

class CompetitionSubscriberRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'competition_id',
        'user_id',
        'correct_answers_count',
        'wrong_answers_count',
        'answering_period',
        'student_points',
        'active',
        'finish',
        'student_points_is_collected'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return CompetitionSubscriber::class;
    }
}
