<?php

namespace App\Repositories;

use App\Models\LevelCategory;
use App\Repositories\BaseRepository;

/**
 * Class LevelCategoryRepository
 * @package App\Repositories
 * @version March 23, 2024, 12:52 pm UTC
*/

class LevelCategoryRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'title',
        'type_level_id'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return LevelCategory::class;
    }
}
