<?php

namespace App\Repositories;

use App\Models\Page;
use App\Repositories\BaseRepository;

/**
 * Class PageRepository
 * @package App\Repositories
 * @version October 11, 2021, 8:43 pm UTC
 */

class PageRepository extends BaseRepository {
	/**
	 * @var array
	 */
	protected $fieldSearchable = [
		'title',
		'slug',
		'body',
	];

	/**
	 * Return searchable fields
	 *
	 * @return array
	 */
	public function getFieldsSearchable() {
		return $this->fieldSearchable;
	}

	/**
	 * Configure the Model
	 **/
	public function model() {
		return Page::class;
	}

}
