<?php

namespace App\Repositories;

use App\Models\PointLevel;
use App\Repositories\BaseRepository;

/**
 * Class PointLevelRepository
 * @package App\Repositories
 * @version May 21, 2024, 5:45 am UTC
*/

class PointLevelRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'level',
        'from',
        'to'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return PointLevel::class;
    }
}
