<?php

namespace App\Repositories;

use App\Models\QuestionType;
use App\Repositories\BaseRepository;

/**
 * Class QuestionTypeRepository
 * @package App\Repositories
 * @version March 28, 2024, 10:25 pm UTC
*/

class QuestionTypeRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'title',
        'icon',
        'active'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return QuestionType::class;
    }
}
