<?php

namespace App\Repositories;

use App\Models\TrainerMessage;
use App\Repositories\BaseRepository;

/**
 * Class TrainerMessageRepository
 * @package App\Repositories
 * @version April 14, 2024, 10:16 am UTC
*/

class TrainerMessageRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'student_id',
        'trainer_id',
        'message',
        'active'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return TrainerMessage::class;
    }
}
