<?php

namespace App\Repositories;

use App\Models\TrainerRegion;
use App\Repositories\BaseRepository;

/**
 * Class TrainerRegionRepository
 * @package App\Repositories
 * @version April 24, 2024, 7:34 am UTC
*/

class TrainerRegionRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'user_id',
        'country_id',
        'city_id',
        'region_id',
        'address',
        'lat',
        'lng'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return TrainerRegion::class;
    }
}
