<?php

namespace App\Repositories;

use App\Models\TrainerReview;
use App\Repositories\BaseRepository;

/**
 * Class TrainerReviewRepository
 * @package App\Repositories
 * @version April 14, 2024, 10:04 am UTC
*/

class TrainerReviewRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'student_id',
        'trainer_id',
        'rate',
        'comment',
        'active'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return TrainerReview::class;
    }
}
