<?php

namespace App\Repositories;

use App\Models\Training;
use App\Repositories\BaseRepository;

/**
 * Class TrainingRepository
 * @package App\Repositories
 * @version March 28, 2024, 10:48 pm UTC
*/

class TrainingRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'training_type_id',
        'type_level_id',
        'level_category_id',
        'question_type_id',
        'question_speed',
        'training_period',
        'numbers_count',
        'questions_count',
        'answer_type',
        'correct_answers_count',
        'wrong_answers_count',
        'answering_period',
        'student_points',
        'active',
        'finish'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return Training::class;
    }
}
